% Nerreter, Grundlagen der Elektrotechnik
% Kapitel 3, Aufgabe 17: Feldbild der Doppelleitung
clc;
wu=pi/180;
figure; axis equal; xg=4.9; yg=2.9; % Grenzwerte
plot([0 0], [-3 3]); hold on; text(0.05,2.4,'phi = 0'); % quip.lilie phi=0
rL=0.1; % Leiterradius
a=5.7; % Abstabd der Leiterachsen
anzpot=10; % Anzahl p der Potenziallinien auf einer Seite
q=anzpot/(log((a-rL)/rL)); % Vorfaktor Q / (2*pi*epsilon*l)
for phi=1:(anzpot-1) % insgesamt 2*anzpot+1 quipotenziallinien
    ra=a/(exp(phi/q)+1); rb=a/(exp(phi/q)-1);
    r=(rb+ra)/2; % Radius der quipotenziallinie
    xmpot=a/2+(rb-ra)/2; ym=0; % Mittelpunkt des Kreises
    for nL=-1:2:1 % beide Leiter mit xm=xmpot und xm=-xmpot
        xm=nL*xmpot; xa=xm; ya=r+ym;
        for n=1:360 wun=wu*n; xn=r*sin(wun)+xm; yn=r*cos(wun)+ym;
            if (abs(xn)<xg) & (abs(yn)<yg) plot([xa xn], [ya yn], 'b'); end
            xa=xn; ya=yn;
        end
    end
end
plot([-5 5],[0 0], 'r'); % Feldlinien
for nFeld=-3:3
    xm=0; % Mittelpunkt des Kreises
    if nFeld==0; ym=0; else ym=(a/2)/tan(nFeld*22.5*wu); end
    r=sqrt((a/2)^2+ym^2); % Radius der Feldlinie
    xa=xm; ya=r+ym;
    for n=1:360 wun=wu*n; xn=r*sin(wun)+xm; yn=r*cos(wun)+ym;
        if (abs(xn)<xg) & (abs(yn)<yg) plot([xa xn], [ya yn], 'r'); end
        xa=xn; ya=yn;
    end
end
ym=0; % Leiter grn ausgefllt darstellen
for nL=-1:2:1
    xm=nL*(a/2); xa=xm; ya=0;
    for n=1:360
        wun=wu*n; xn=rL*sin(wun)+xm; yn=rL*cos(wun)+ym;
        plot([xa xn], [ya yn], 'g');
    end
end

        